OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000334OMNeT++IDE / C++ developmentpublic2011-06-01 19:502011-07-12 18:10
Reporterandras 
Assigned Toandras 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.1 
Target VersionFixed in Version4.2 
Summary0000334: Makemake page usability: replace Generated/Custom/No Makefile buttons with radio buttons
DescriptionThe Project Properties -> Makemake page uses three buttons at top-right: Makemake, Custom Make, No Make. These buttons effectively work as a radio button, so from the usability perspective it would be better to use actual radio buttons there.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000470)
andras (administrator)
2011-06-02 09:53

It is also not immediately obvious that the buttons act on the currently selected folder in the tree.

Suggestion:
 - add context menu to the tree with similar functionality as the buttons
 - above the buttons, a label or frame label should say: 'Options for <name of selected folder>'
 - the Source Folder / Include / Exclude buttons should also be radio buttons?
(0000521)
andras (administrator)
2011-07-12 15:08

Additionally: the [Options] button refers to Makemake, so its placement is probably not so good (should be "close" to the Makemake option).
(0000522)
andras (administrator)
2011-07-12 15:17

Related: wrong enabled state of the "Include" button:

- in inet, mark "src" as source folder;
- exclude "inet/networklayer"
- focus on "ipv4" --> both the Include and Source Location buttons are enabled, but only Source Location should be. (And Include actually marks as it source location, because in CDT you cannot "include" something if its parent is excluded.)

- Issue History
Date Modified Username Field Change
2011-06-01 19:50 andras New Issue
2011-06-02 09:53 andras Note Added: 0000470
2011-07-12 15:08 andras Note Added: 0000521
2011-07-12 15:17 andras Note Added: 0000522
2011-07-12 18:10 andras Status new => resolved
2011-07-12 18:10 andras Fixed in Version => 4.2
2011-07-12 18:10 andras Resolution open => fixed
2011-07-12 18:10 andras Assigned To => andras


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker